Summary: xitalk X "Talk Interceptor"
Name: xitalk
Version: 1.1.6
Release: 1
Copyright: GPL
Group: X11/Utilities
Source: ftp://skynet.csn.ul.ie/pub/linux/x/utils/xitalk-1.1.6.tar.gz
URL: http://www.csn.ul.ie/~caolan/docs/xitalk.html
Buildroot: /tmp/xitalk-root
Packager: Timo Karjalainen <timok@iki.fi>

%description
xitalk is an X program that intercepts stuff like talk and 
write requests and allows predefined responses (such as a 
talk reply) anf the touch of a button. stops you getting your 
xterms filled with garbage when you dont want to have
your xterm obscured. You can click on respond and avoid 
having to manually open another window and run talk or write 
or close down whatever you're running to respond to the 
talk/write request. Also it can be set up to automatically 
reply to messages, allowing you to respond automagically
to write etc requests while you're gone.

%changelog

* Thu Jun 26 1997 Timo Karjalainen <timok@iki.fi>

 - Upgraded to version 1.1.6
 - Uses BuildRoot
 - Changed the location of libdir from /usr/local/lib to /usr/lib
 - Changed the name of man page from xitalk.1 to xitalk.1x
 - Added RPM_OPT_FLAGS

%prep
%setup -n xitalk

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure --prefix=/usr/X11R6 --libdir=/usr/lib

make
cd dumb-write
gcc -o dwrite -s $RPM_OPT_FLAGS dwrite.c

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/bin
make prefix=$RPM_BUILD_ROOT/usr/X11R6 libdir=$RPM_BUILD_ROOT/usr/lib install
install -m 755 -o 0 -g 0 dumb-write/dwrite $RPM_BUILD_ROOT/usr/bin
mv $RPM_BUILD_ROOT/usr/X11R6/man/man1/xitalk.1 $RPM_BUILD_ROOT/usr/X11R6/man/man1/xitalk.1x

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc CHANGELOG COPYING FAQ README TO-DO xitalk.lsm
/usr/X11R6/bin/xitalk
/usr/X11R6/man/man1/xitalk.1x
/usr/bin/dwrite
/usr/lib/xitalk
